If 'jq' is not available the taprio tests that use this script will
run forever. Check if it exists before entering the while loop.

Signed-off-by: Pedro Tammela <[email protected]>
---
 .../selftests/tc-testing/scripts/taprio_wait_for_admin.sh    | 5 +++++
 1 file changed, 5 insertions(+)

diff --git 
a/tools/testing/selftests/tc-testing/scripts/taprio_wait_for_admin.sh 
b/tools/testing/selftests/tc-testing/scripts/taprio_wait_for_admin.sh
index f5335e8ad6b4..68f2c6eaa802 100755
--- a/tools/testing/selftests/tc-testing/scripts/taprio_wait_for_admin.sh
+++ b/tools/testing/selftests/tc-testing/scripts/taprio_wait_for_admin.sh
@@ -3,6 +3,11 @@
 TC="$1"; shift
 ETH="$1"; shift
 
+if ! command -v jq &> /dev/null; then
+    echo "Please install jq"
+    exit 1
+fi
+
 # The taprio architecture changes the admin schedule from a hrtimer and not
 # from process context, so we need to wait in order to make sure that any
 # schedule change actually took place.
-- 
2.40.1


Reply via email to